export declare const defaultEventTypes: string[];
/** 15 minutes by default */
export declare const defaultIdleTime: number;
export declare const defaultNoLog: (...messages: any[]) => void;
export declare const defaultNoop: () => void;
export declare class IdleDetect {
    /** List of tracket event types, bubbled to `window` and used for timeout */
    eventTypes: string[];
    /** Idle timeout in milliseconds */
    idleTime: number;
    /** Event handler when user is idle for specified time */
    handleIdle: () => void;
    protected timeout?: number;
    error: (...messages: any[]) => void;
    log: (...messages: any[]) => void;
    /**
     * @param idleSeconds Number of seconds for idle detection, 15 minutes by default
     * @param onIdle Event handler when user is idle for specified time
     * @param enableLogs
     * @param eventTypes
     */
    constructor(idleSeconds?: number, onIdle?: () => void, enableLogs?: boolean, eventTypes?: string[]);
    cleanupAndStop(): void;
    redoTimeout: () => void;
    setIdleTime: (idleSeconds?: number) => void;
    setLogs: (enableLogs?: boolean) => void;
    startTimeout: () => void;
    start: () => void;
}
