import { IdleDetect } from './IdleDetect';
export declare const isIdleDetectorSupported: () => boolean;
export declare enum UserIdleState {
    active = "active",
    idle = "idle"
}
export declare enum ScreenIdleState {
    locked = "locked",
    unlocked = "unlocked"
}
export declare class IdleDetectIsomorph extends IdleDetect {
    protected controller?: AbortController;
    protected detector?: IdleDetector;
    /**
     * @param idleSeconds Number of seconds for idle detection, 15 minutes by default
     * @param onIdle Event handler when user is idle for specified time
     * @param enableLogs
     * @param eventTypes
     */
    constructor(idleSeconds?: number, onIdle?: () => void, enableLogs?: boolean, eventTypes?: string[]);
    cleanupAndStop: () => void;
    handleIdleChange: () => void;
    startIdleDetector: () => Promise<void>;
    start: () => Promise<void>;
}
